cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class CCQ_I19

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.CCQ_I19

-     public final class CCQ_I19
      extends Message

  CCQ_I19 – Collaborative Care Query (Event I19). This event triggers a query message to be sent from a referring healthcare provider to a referred to healthcare provider, regarding a specific, previously sent collaborative care referral.

  Represents a CCQ_I19 message structure (see chapter 11.7.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: RF1 (Referral Information) SINGLE_COMPULSARY
  4: PROVIDER_CONTACT (a Group in CCU_I20 message) MULTIPLE_OPTIONAL
  5: REL (Relationship) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCQ_I19(IMap objMessageMap)` Constructs the CCU_I19 message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProviderContactGroup(IGroup objGroup)` Adds Provider Contact GROUP to this message.
    `void` | `addProviderContactGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Provider Contact GROUP to this message.
    `void` | `addRelationshipSegment(ISingleCollection<REL> objRELSegmentCollection)` Adds collection of Relationship Segment(REL) to this message.
    `void` | `addRelationshipSegment(REL objREL)` Adds Relationship Segment(REL) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<IGroup>` | `getProviderContactGroups()` Retrieves Collection of Provider Contact GROUP present in this message.
    `RF1` | `getReferralInformationSegment()` Retrieves Referral Information(RF1) segment present in this message
    `ISingleCollection<REL>` | `getRelationshipSegments()` Retrieves Collection of Relationship Segments(REL) present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setReferralInformationSegment(RF1 objRF1)` Sets value of Referral Information segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCQ_I19

          public CCQ_I19(IMap objMessageMap)

      Constructs the CCU_I19 message.

  - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getReferralInformationSegment

          public RF1 getReferralInformationSegment()

      Retrieves Referral Information(RF1) segment present in this message
      Returns:
        RFI - the Referral Information Segment present in this message or null if unavailable.

    - #### setReferralInformationSegment

          public void setReferralInformationSegment(RF1 objRF1)

      Sets value of Referral Information segment for this message,overwrites if already present.
      Parameters:
        `objRF1` - Specified Referral Information Segment

    - #### getProviderContactGroups

          public ISingleCollection<IGroup> getProviderContactGroups()

      Retrieves Collection of Provider Contact GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Provider Contact Group present

    - #### addProviderContactGroups

          public void addProviderContactGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Provider Contact GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Provider Contact GROUP Collection.

    - #### addProviderContactGroup

          public void addProviderContactGroup(IGroup objGroup)

      Adds Provider Contact GROUP to this message.
      Parameters:
        `objGroup` - Provider Contact GROUP.

    - #### addRelationshipSegment

          public void addRelationshipSegment(REL objREL)

      Adds Relationship Segment(REL) to this message.
      Parameters:
        `objREL` - Specified Relationship Segment(REL)to be added in message.

    - #### addRelationshipSegment

          public void addRelationshipSegment(ISingleCollection<REL> objRELSegmentCollection)

      Adds collection of Relationship Segment(REL) to this message.
      Parameters:
        `objRELSegmentCollection` - Collection of Relationship Segments to add in this message

    - #### getRelationshipSegments

          public ISingleCollection<REL> getRelationshipSegments()

      Retrieves Collection of Relationship Segments(REL) present in this message.
      Returns:
        ISingleCollection - Collection of Relationship Segments(REL) present in this message.